// FIXME: This really belongs in the debconf-wafer repo
// Registration form
$gray-light: $gray-600;

form#register {
  #hidden-next {
    display: none;
  }

  .pgp-fingerprints {
    font-family: monospace;
  }

  // Hack: The the date-picker hard-codes col-md-6, but we need to use
  // different breakpoints
  // https://salsa.debian.org/debconf-team/public/websites/dc18/issues/35
  .datepicker.col-md-6,
  .timepicker.col-md-6 {
    // Undo col-md-6 behavior
    @include media-breakpoint-up(md) {
      flex: 0 1 auto;
      max-width: none;
    }
    // Re-apply as col-xl-6
    @include media-breakpoint-up(xl) {
      @include make-col(6);
    }
  }
}

table.register-details {
  @extend .table-striped;
  th {
    max-width: 10rex;
  }
}

table.register-invoice {
  @extend .table;

  tr.line {
    td {
      text-align: right;
    }
    td:first-child {
      text-align: left;
    }
  }
  tr.total td {
    text-align: right;
  }
}
ol.registration-steps {
  li.current-step {
    font-weight: bold;
  }
  li:not(.current-step) {
    a.inaccessible-step {
      color: $gray-light;
    }
  }
}

// Front Desk interface
.boolean {
  .fa {
    font-size: 150%;
  }

  .fa-check-circle {
    color: green;
  }

  .fa-times {
    color: red;
  }
}

.not-paid {
  color: red;
  font-weight: 900;
}

li.invoice {
  @extend .alert;
}
li.invoice-draft {
  @extend .alert-danger;
}
li.invoice-pending {
  @extend .alert-warning;
}
li.invoice-paid {
  @extend .alert-success;
}

// vim: set et ts=2:
